Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.jazn
Class JAZNWebAppConfig

    java.lang.Object
      |
      +--oracle.security.jazn.JAZNWebAppConfig

public class JAZNWebAppConfig
extends Object

This class represents a <jazn-web-app> Configuration instance.

Constructor Summary
`JAZNWebAppConfig(Node node)` Creates a new `JAZNWebAppConfig` instance from the specified DOM node.
`JAZNWebAppConfig(Properties props)` Creates a new `JAZNWebAppConfig` instance from the specified properties.

Method Summary
`String` | `getAuthenticationMethod()`
`String` | `getDoAsPrivilegedMode()` Returns the DoAsPrivileged mode
`String` | `getProperty(String key)` Gets a JAZN property value
`String` | `getRunAsMode()` Returns the RunAs mode
`static Properties` | `parseJAZNWebAppConfig(Node node)` Given a DOM node representing the <jazn-web-app> element, return the parsed properties.
`static void` | `parseJAZNWebAppConfig(Node node, Properties props)` Given a DOM node representing the <jazn-web-app> element, sets the parsed properties.
`String` | `toString()`
`void` | `writeXML(int indentation, Writer writer)` Serializes the content of this `JAZNWebAppConfig` instance to the specified writer.
`void` | `writeXML(Writer writer)` Serializes the content of this `JAZNWebAppConfig` instance to the specified writer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JAZNWebAppConfig

    public JAZNWebAppConfig(Properties props)

  Creates a new `JAZNWebAppConfig` instance from the specified properties.

### JAZNWebAppConfig

    public JAZNWebAppConfig(Node node)

  Creates a new `JAZNWebAppConfig` instance from the specified DOM node.
Parameters:
  `node` - the DOM node from which the new `JAZNWebAppConfig` instance is instantiated.

Method Detail

### getProperty

    public String getProperty(String key)

  Gets a JAZN property value

  This method first calls `SecurityManager.checkPermission` with `JAZNPermission("getProperty."+key)` to ensure the caller has permission to retrive the JAZN property value.

  Parameters:
    `key` - the key of the property being retrieved
  Returns:
    the value associated with the specified key
  Throws:
    `SecurityException` - if the caller does not have permission to invoke this method

### getAuthenticationMethod

    public String getAuthenticationMethod()

### getRunAsMode

    public String getRunAsMode()

  Returns the RunAs mode
  Returns:
    the RunAs mode

### getDoAsPrivilegedMode

    public String getDoAsPrivilegedMode()

  Returns the DoAsPrivileged mode
  Returns:
    the DoAsPrivileged mode

### parseJAZNWebAppConfig

    public static void parseJAZNWebAppConfig(Node node,
    Properties props)

  Given a DOM node representing the <jazn-web-app> element, sets the parsed properties.
  Parameters:
    `node` - the DOM node representing the <jazn-web-app> element.

### parseJAZNWebAppConfig

    public static Properties parseJAZNWebAppConfig(Node node)

  Given a DOM node representing the <jazn-web-app> element, return the parsed properties.
  Parameters:
    `node` - the DOM node representing the <jazn-web-app> element.
  Returns:
    the parsed properties

### writeXML

    public void writeXML(Writer writer)
                  throws IOException

  Serializes the content of this `JAZNWebAppConfig` instance to the specified writer.
  Parameters:
    `writer` - the specified writer
    `IOException`

### writeXML

    public void writeXML(int indentation,
    Writer writer)
                  throws IOException

  Serializes the content of this `JAZNWebAppConfig` instance to the specified writer.
  Parameters:
    `indentation` - the indentation level
    `writer` - the specified writer
    `IOException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JAAS Provider Java API Reference 10g (9.0.4.0.0) B10389-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002, 2003 Oracle Corporation. All Rights Reserved.